diff --git a/server/src/main/java/org/elasticsearch/index/IndexNotFoundException.java b/server/src/main/java/org/elasticsearch/index/IndexNotFoundException.java
index 4442ee276c9cf..4a1f7d12b8faa 100644
--- a/server/src/main/java/org/elasticsearch/index/IndexNotFoundException.java
+++ b/server/src/main/java/org/elasticsearch/index/IndexNotFoundException.java
@@ -37,7 +37,7 @@ public IndexNotFoundException(String index) {
     }
 
     public IndexNotFoundException(String index, Throwable cause) {
-        super("no such index", cause);
+        super("no such index: [" + index + "]", cause);
         setIndex(index);
     }
 
@@ -46,7 +46,7 @@ public IndexNotFoundException(Index index) {
     }
 
     public IndexNotFoundException(Index index, Throwable cause) {
-        super("no such index", cause);
+        super("no such index: " + index.toString(), cause);
         setIndex(index);
     }
 
